Skip to main content
Resource Center/Network Resource/L2 Network Operations
POSTL2 Network OperationsSince 0.6SynchronousAuth Required

CreateL2VxlanNetwork

CreateL2VxlanNetwork

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • paramsObjectRequired

    Request body parameter object.

    • vniInteger

      Optional. The VNI.

    • poolUuidStringRequired

      The VXLAN pool UUID.

    • nameStringRequired

      The resource name.

    • descriptionString

      Optional. The detailed description of the resource.

    • zoneUuidStringRequired

      The zone UUID.

    • physicalInterfaceStringRequired

      No description provided.

    • typeString

      Optional. The type.

    • resourceUuidString

      Optional. The resource UUID.

    • vSwitchTypeString

      Optional. The type of the vSwitch.

    • tagUuidList

      Optional. The Uuid tags list.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    操作是否成功。

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryL2VxlanNetworkPoolInventoryRequired

    See inventory.

    • vniIntegerRequired

      No description provided.

    • poolUuidStringRequired

      The VXLAN pool UUID.

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • descriptionStringRequired

      The detailed description of the resource.

    • zoneUuidStringRequired

      The zone UUID.

    • physicalInterfaceStringRequired

      No description provided.

    • typeStringRequired

      类型。

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • attachedClusterUuidsListRequired

      附加集群UUID。

Endpoint

POST/zstack/v1/l2-networks/vxlan

/zstack/v1/l2-networks/vxlan

Operation ID

CreateL2VxlanNetwork

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/l2-networks/vxlan' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"vni":1,"poolUuid":"<poolUuid>","name":"<name>","description":"<description>","zoneUuid":"<zoneUuid>","physicalInterface":"<physicalInterface>","type":"<type>","resourceUuid":"<resourceUuid>","vSwitchType":"<vSwitchType>","tagUuid":["<tagUuid>"]},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "vni": 10, "poolUuid": "848a93cca6b43a67930af04c70f2abd3", "name": "Test-Net", "description": "Test", "zoneUuid": "1b6c6d39024a3e59ba597cd651fe064f", "type": "L2VxlanNetwork" } }

Change History

This API has no change history records yet.

View all change history